
define(['app'],function (app) {
    app.controller('acountCtrl', ['$scope', 'httpRequest', 'Storage', '$ionicPopup', function($scope, httpRequest, Storage, $ionicPopup) {
        if(Storage.get("DM_Balance")){
            $scope.data = Storage.get("DM_Balance");
        }

        httpRequest.getWithAuth($scope, "/doctor/api/GetDoctorBalance", {}, function(re){
            if(re.data.code == 0) {
                $scope.data = re.data.data;
                Storage.set("DM_Balance", $scope.data);
            }
        });

        $scope.layout = function () {
            if (!$scope.data.bank_card_number) {
                $ionicPopup.confirm({
                    title: '请先绑定提现银行卡！',
                    buttons: [
                        {
                            text: '<b>确定</b>',
                            type: 'button-balanced'
                        }
                    ]
                });
            } else {
                location.href = "#/tab/mine/acount/outlays";
            }
        }
    }]);
});
    
