
define(['app', 'js/utils/tips'],function (app, Tips) {
    app.controller('bankCtrl', ['$scope', '$ionicHistory', "Storage", 'httpRequest', function($scope, $ionicHistory, Storage, httpRequest) {
        $scope.$on('$ionicView.beforeEnter', function() {
            if (Storage.get("DM_SelectBankType")) $scope.data.bank_name = Storage.get("DM_SelectBankType");
        });

        $scope.data = {
            card_name:"",
            card_number:"",
            bank_name:"",
            open_bank_name:""
        };
        $scope.btnTitle = "绑定";
        var balanced = Storage.get("DM_Balance");
        if (balanced) {
            if (balanced.bank_card_name) {
                $scope.data.card_name = balanced.bank_card_name;
                $scope.btnTitle = "更改绑定";
            }
            if (balanced.bank_card_number) $scope.data.card_number = balanced.bank_card_number;
            if (balanced.bank_name) $scope.data.bank_name = balanced.bank_name;
            if (balanced.open_bank_name) $scope.data.open_bank_name = balanced.open_bank_name;
        }

        $scope.comfirm = function() {
            var tmp = "";
            if(!$scope.data.card_name)tmp = "请输入姓名";
            if(!$scope.data.card_number)tmp = "请输入姓名";
            if(!$scope.data.bank_name)tmp = "请输入银行";
            if(!$scope.data.open_bank_name)tmp = "请输入开户行";
            if(tmp){
                Tips.showTips(tmp);
                return;
            }
            httpRequest.postWithAuth($scope, "/doctor/api/BindBankCard", $scope.data, function(re){
                if (re.data.code == 0) {
                    Tips.showTips("更绑银行卡成功了");
                    $ionicHistory.goBack(-2);
                } else {
                    Tips.showTips("请输入正确信息！");
                }
            });
        };

    }]);
});
    
