define(['app', 'js/utils/tips'],function (app, Tips) {
    app.controller('findpswCtrl', ['$scope','$ionicHistory','httpRequest', function($scope,$ionicHistory, httpRequest) {
        $scope.showPassword = function() {
            $scope.show_psd = !$scope.show_psd
        };

        // regist
        $scope.user = {
            phone:'',
            psw:"",
            code:""
        };

        // 获取验证码
        $scope.getcode = function () {
            $scope.$emit('loadding', 'noBackdrop','请求中...');
            httpRequest.get("/doctor/api/GetSetPasswordCode",{'phone':$scope.user.phone},function(re){
                Tips.showTips(re.data.msg);
            }, function(re){
                if(re.status != 200) {
                    Tips.showTips('亲~您好像断网了，请检查您的网络~~~');
                }
            }, function(){
                $scope.$emit('loadding', 'false');
            });
        };

        // comfirm
        $scope.comfirm = function() {
            $scope.$emit('loadding', 'noBackdrop','请求中...');
            var request = {
                'phone':$scope.user.phone,
                'code':$scope.user.code,
                'password':$scope.user.psw
            };
            httpRequest.get("/doctor/api/SetPassword", request, function(re){
                Tips.showTips(re.data.msg);
                if (re.data.code == 0) {
                    $ionicHistory.goBack();
                }
            }, function(re){
                if(re.status != 200) {
                    Tips.showTips('亲~您好像断网了，请检查您的网络~~~');
                }
            }, function(){
                $scope.$emit('loadding', 'false');
            });
        }

    }]);
});