
define(['app','js/utils/tips'],function (app,Tips) {

    app.controller('notificationCtrl', ['$scope', 'Storage','$ionicHistory', 'httpRequest','$state',
      function($scope,Storage,$ionicHistory,httpRequest,$state) {

        $scope.$on("$ionicView.beforeEnter", function(){
          $scope.$emit('loadding', 'noBackdrop','加载中...');
          httpRequest.postWithAuth($scope, 'doctor/api/GetDoctorNotices', {}, function(re, data) {
            $scope.$emit('loadding', 'false');
            if(re.data.code == 0) {
              $scope.messages = re.data.data.list;
              if($scope.messages.length > 0) {
                $scope.hasMessage = true;
              }
            } else {
              Tips.showTips(re.data.msg);
            }
          },function(re,data,sta) {
            $scope.$emit('loadding', 'false');
          });
        })

        $scope.back = function() {
          $state.go('tab.mine');
        }

        $scope.seeDetail = function(message){
          $state.go('tab.infoDetails', {
            id: message.id
          })
        }

        $scope.dataFormatGap = function (date) {
            var nowTime = Math.round(new Date().getTime()/1000);
            var diffTime = nowTime - date;
            var day = Math.floor(diffTime/(24*60*60));
            if(day > 0) return day + '天前';
            diffTime = diffTime - day * (24*60*60);
            var hour = Math.floor(diffTime/(60*60));
            if(hour > 0) return hour + '小时前';
            diffTime = diffTime - hour * (60*60);
            var minute =  Math.floor(diffTime/60);
            if(minute > 0) return minute + '分前';
            return '刚刚';
        }

    }]);
});

