
define(['app', 'js/utils/tips'],function (app, Tips) {
    app.controller('offtimeCtrl', ['$scope', '$stateParams','Storage','$ionicHistory', function($scope, $stateParams, Storage, $ionicHistory) {
        $scope.$on('$ionicView.beforeEnter', function() {
            // initial
            var id = $stateParams.id;
            var data = Storage.get("DM_WeekData_"+id);
            if (!data){
                $scope.data = [0,0,0,0,0,0,0,0];
            } else {
                data = data.split(',');
                $scope.data = [0,0,0,0,0,0,0,0];
                for (var a=0;a<data.length;a++) {
                    $scope.data[data[a]] = 1;
                }
            }
        });

        $scope.depand = function(index) {
            if ($scope.data[index])return true;
            return false;
        };
        
        $scope.change = function (index) {
            if($scope.data[index]) {
                $scope.data[index] = 0;
            } else {
                $scope.data[index] = 1;
            }
        };

        $scope.selectAll = function() {
            $scope.data = [1, 1, 1, 1, 1, 1, 1, 1, 1];
        };

        var isOverFive = function() {
            var num = 0
            for(var a=0;a<$scope.data.length; a++) {
                if ($scope.data[a] == 1)num += 1;
            }
            if (num > 5) return true;
            return false;
        };
        
        $scope.save = function () {
            if (isOverFive()) {
                alert("最多选择5个时段.");
                return;
            }
            var data = [];
            for(var a=0; a<$scope.data.length;a++) {
                if($scope.data[a])data.push(a);
            }
            var id = $stateParams.id;
            Storage.set("DM_WeekData_"+id, data.toString());
            $ionicHistory.goBack();
        }

    }]);
});
    
