
define(['app', "js/utils/tips"],function (app, Tips) {
    app.controller('outlaysCtrl', ['$scope', 'httpRequest', 'Storage', '$ionicHistory', function($scope, httpRequest, Storage, $ionicHistory) {
        var balance = Storage.get("DM_Balance").balance;
        $scope.cat_value = "不能超过余额："+ balance + "元";

        $scope.changeVal = function(){
            if ($scope.msg.money > balance) {
                $scope.msg.money = balance;
            }
        };

        $scope.msg = {
            money:"",
            name:Storage.get("DM_Balance").bank_card_name,
            acount:Storage.get("DM_Balance").bank_card_number
        };
        $scope.getCash = function () {
            httpRequest.getWithAuth($scope, "/doctor/api/WithdrawCash", {sum:$scope.msg.money}, function(re){
                if(re.data.code == 0) {
                    Tips.showTips("已经申请提现");
                    $ionicHistory.goBack(-2);
                }
            });
        }
    }]);
});
    
