
define(['app'],function (app) {
    app.controller('outlayslistCtrl', ['$scope', 'httpRequest', function($scope, httpRequest) {
        $scope.dataArr = [];
        var pageNum = 10;
        var getData = function(page, count, suc, fail, final) {
            httpRequest.getWithAuth($scope, "/doctor/api/GetWithdrawCashRecord", {page:page, count:count}, function(re){
                if (suc) suc(re);
                if(re.data.code == 0) {
                    if(re.data.data.record){
                        if(re.data.data.record)$scope.dataArr = $scope.dataArr.concat(re.data.data.record);
                    } else {
                        $scope.isNoMore = true;
                    }
                }
            }, function(re) {
                if (fail) fail(re);
            }, function(re) {
                if (final) final(re);
            });
        };

        // 下拉刷新
        $scope.doRefresh = function(){
            $scope.dataArr = [];
            $scope.isNoMore = false;
            getData(1, pageNum, function(){
                $scope.$broadcast('scroll.refreshComplete');
            });
        };

        // 加载更多
        $scope.isLoadMore = false;
        $scope.isNoMore = false;
        $scope.loadMore = function(){
            if ($scope.isLoadMore) return;
            $scope.isLoadMore = true;
            var page = $scope.dataArr.length/pageNum + 1;
            getData(page, pageNum, function(re){
                if(re.data.data.record){
                    if (re.data.data.record.length < pageNum) {
                        $scope.isNoMore = true;
                    }
                }
            }, function(){
                $scope.isNoMore = true;
            }, function(re){
                $scope.isLoadMore = false;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            });
        };

    }]);
});

