
define(['app'],function (app) {
    app.controller('pictureCtrl', ['$scope', 'httpRequest','$ionicHistory','Storage', function($scope, httpRequest, ionicHistory, Storage) {
        var data = Storage.get("DM_Consult");
        if (data) {
            if (data.consult_im.status) data.consult_im.status = true;
            $scope.data = {
                price:data.consult_im.price,
                on:data.consult_im.status
            };
        } else {
            $scope.data = {
                price:"没有获取到",
                on:0
            };
        }
        $scope.save = function(){
            var k = 0;
            if($scope.data.on) k = 1;
            var data = {
                on:k
            };
            httpRequest.postWithAuth($scope, "/doctor/api/SetIMService", data, function(re){
                if (re.data.code == 0) {
                    // save
                    var data = Storage.get("DM_Consult");
                    if (data) {
                        data.consult_im.price = $scope.data.price;
                        data.consult_im.status = $scope.data.status;
                    }else{
                        var data = {
                            "consult_im":{  // 图文咨询
                                price: $scope.data.price,
                                status: $scope.data.status
                            },
                            "consult_video":{ //视频咨询
                                "status":'', //0:关闭 1:开启
                                "price":''
                            },
                            "consult_offline":{  //线下咨询
                                "status":'',  //0:关闭 1:开启
                                "price":''
                            }
                        }
                    }
                    Storage.set("DM_Consult", data);

                    ionicHistory.goBack();
                }
            })
        };


    }]);
});

