
define(['app'],function (app) {
    app.controller('propertyCtrl', ['$scope', 'httpRequest', function($scope, httpRequest) {
        // 清空
        $scope.clear = function () {
            httpRequest.postWithAuth($scope, "/doctor/api/ClearIncomeDetail", {}, function(re){
                if (re.code == 0) {
                    $scope.doRefresh();
                }
            });
        };

        $scope.dataArr = [];
        var pageNum = 10;
        var getData = function(page, count, suc, fail, final) {
            httpRequest.getWithAuth($scope, "/doctor/api/GetDoctorIncomeDetail", {page:page, count:count}, function(re){
                if (suc) suc(re);
                if(re.data.code == 0) {
                    if(re.data.data.details)$scope.dataArr = $scope.dataArr.concat(re.data.data.details);
                }
            }, function(re) {
                if (fail) fail(re);
            }, function(re) {
                if (final) final(re);
            });
        };
        // 下拉刷新
        $scope.doRefresh = function(){
            $scope.dataArr = [];
            $scope.isNoMore = false;
            getData(1, pageNum, function(){
                $scope.$broadcast('scroll.refreshComplete');
            });
        };
        // 加载更多
        $scope.isLoadMore = false;
        $scope.isNoMore = false;
        $scope.loadMore = function(){
            if ($scope.isLoadMore) return;
            $scope.isLoadMore = true;
            var page = $scope.dataArr.length/pageNum + 1;
            getData(page, pageNum, function(re){
                if (re.data.data.details.length < pageNum) {
                    $scope.isNoMore = true;
                }
            }, function(){
                $scope.isNoMore = true;
            }, function(re){
                $scope.isLoadMore = false;
                $scope.$broadcast('scroll.infiniteScrollComplete');
            });
        };

    }]);
});
    
