define(['app', 'js/utils/tips'],function (app, Tips) {
    app.controller('roomCtrl', ['$scope','httpRequest','$ionicHistory','Storage', function($scope, httpRequest, $ionicHistory, Storage) {
        $scope.$on('$ionicView.beforeEnter', function() {
            getData();
        });

        var getData = function(){
            $scope.$emit('loadding', 'noBackdrop','请求数据中...');
            httpRequest.get("/doctor/api/GetDepartmentList",{},function(re){
                $scope.$emit('loadding', 'false');
                if (re.status == 200) {
                    $scope.roomList = re.data.data;
                }
            }, function(re){
                if(re.status != 200) {
                    Tips.showTips('亲~您好像断网了，请检查您的网络~~~');
                }
            }, function(){
                $scope.$emit('loadding', 'false');
            });
        };

        // initial
        var data = [];
        var temp = Storage.get("DM_Room");
        if (temp) {
            data = temp.split(',');
        }

        $scope.select = function(id) {
            for (var a=0;a<data.length;a++) {
                if (data[a] == id) {
                    data.splice(a, 1);
                    return;
                }
            }
            data.push(id);
        };
        $scope.depand = function(id) {
            for (var a=0;a<data.length;a++) {
                if (data[a] == id) return true;
            }
            return false;
        };

        $scope.back = function () {
            var sdata = data.toString();
            $ionicHistory.goBack();
            Storage.set("DM_Room", sdata);
        }
    }]);
});
    
