
define(
  [
    'app',
    'js/utils/tips'
  ]
  ,function(app, Tips){
    app
      .config(['$ionicConfigProvider','$sceDelegateProvider', function($ionicConfigProvider,$sceDelegateProvider) {
          $ionicConfigProvider.tabs.position('bottom'); // other values: top
          $ionicConfigProvider.platform.android.views.maxCache(5); //安卓缓存5个view，ios默认10个
            $ionicConfigProvider.tabs.style('standard');
          
          $sceDelegateProvider.resourceUrlWhitelist([
            // Allow same origin resource loads.
            'self',
            // Allow loading from our assets domain.  Notice the difference between * and **.
            'https://at.alicdn.com/**'
          ]);
          
          /*    // The blacklist overrides the whitelist so the open redirect here is blocked.
          *    $sceDelegateProvider.resourceUrlBlacklist([
          *      'http://myapp.example.com/clickThru**'
          *    ]);
          */

          window.APP = {
            // baseUrl:'http://api.kangbm.com/kbmtest/',
            baseUrl:'http://api.kangbm.com/KangBaoMu/',
            app_version:'1.0.0',
            app_key:'g3tBzI-:yjW~6b4>yroKA$4IKl/&_~>N0n?{]d0).?<@ffr05_',
            platform: 3,      //1:iOS 2:android 3:web
            is_wechat:ionic.Platform.ua.toLowerCase().match(/MicroMessenger/i)=="micromessenger",
          }

          window.uid = 13;
          window.token = "KSJDF89JFK2J3I29JIDSJF34JFIDSJFICJIDSUF909O=";
          
      }])
      .run(function($ionicPlatform,$rootScope,$ionicLoading,$ionicHistory,$state) {
          //注册loadding
          function showLoadding(noBackdrop,content) {
              var tpl = '<div class="spinner"><div class="spinner-container container1"><div class="circle1"></div>'+
                        '<div class="circle2"></div><div class="circle3"></div><div class="circle4"></div></div>'+
                        '<div class="spinner-container container2"><div class="circle1"></div><div class="circle2">'+
                        '</div><div class="circle3"></div><div class="circle4"></div></div><div class="spinner-container container3">'+
                        '<div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4">'+
                        '</div></div></div>';
              if(content) {
                tpl += ('<div class="row">'+ content +'</div>')
              }
              $ionicLoading.show({
                noBackdrop:noBackdrop,
                template: tpl
              });
          }
          $rootScope.$on('loadding',function(child,flag,content) {
            if(flag == 'false') {
                $ionicLoading.hide();
            } else if( flag == 'noBackdrop') {
                  showLoadding(true,content);
            } else {
                  showLoadding(false,content)
            }
          })

          var htmlEl = angular.element(document.querySelector('html'));
          htmlEl.on("click", function(e) {
              if (e.target.nodeName === "HTML" &&
                  $rootScope.popup ) {
                  $rootScope.popup.close();
                  $rootScope.popup = null;
              }
          });

          $ionicPlatform.ready(function() {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
              cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
              cordova.plugins.Keyboard.disableScroll(true);

            }
            if (window.StatusBar) {
              // org.apache.cordova.statusbar required
              StatusBar.styleLightContent();
            }
          });

          //注册安卓返回键
          var t = 0,timeout;
          $ionicPlatform.registerBackButtonAction(function (e) {
              var backButtonAction = {
                  "index":'doubleExit',
                  "tab.consult":'doubleExit',
                  "tab.mine":'doubleExit',
                  "tab.infomation":'doubleExit'
              }
              var pageState = $state.current.name;
              if (backButtonAction[pageState] == 'doubleExit') {
                  if(t < 1) {
                      Tips.showTips('双击退出应用', 500);
                      t++;
                      timeout = setTimeout(function() {
                          t = 0
                      },300)
                  } else {
                      clearTimeout(timeout);
                      ionic.Platform.exitApp();
                  }
              } else {
                  $ionicHistory.goBack();
              }
              e.preventDefault();
              return false;
          }, 101);

      });
});


