define(['app'], function(app) {
    app.controller('content-mineCtrl', ['$scope', '$stateParams', 'httpRequest', '$sce', '$cordovaInAppBrowser', '$ionicModal', function($scope, $stateParams, httpRequest, $sce, $cordovaInAppBrowser, $ionicModal) {
        var type = $stateParams.type;
        if (type == 34) {
            $scope.mTitle = "邀请规则";
        } else if (type == 40) {
            $scope.mTitle = "常见问题";
        } else if (type == 42) {
            $scope.mTitle = "关于我们";
        } else if (type == 44) {
            $scope.mTitle = "用户须知";
        } else if (type == 46) {
            $scope.mTitle = "隐私政策";
        } else if (type == 22) {
            $scope.mTitle = "用户协议";
        }
        httpRequest.post('http://cont.kangbm.com/?type=' + type, {}, function(re) {
            $scope.contents = $sce.trustAsHtml(re.data);
        });
        //处理a标签外链跳转
        function a_click(e) {
            var target = e.target;
            if (target.tagName == 'A' && target.href.indexOf('http') > -1) {
                e.preventDefault();
                var url = target.href;
                $scope.modal = $ionicModal.fromTemplate("<ion-modal-view><ion-header-bar align-title=\"center\" class=\"bar-balanced\"><h1 class=\"title\">" + target.innerHTML + "</h1>    <a class=\"button\" ng-click=\"hideModal()\">\u5173\u95ED</a></ion-header-bar><ion-content scroll=\"true\" overflow-scroll=\"true\">    <iframe style=\"width:100%;height:100%;overflow:scroll;\" src=\"" + url + "\" frameborder=\"0\"></iframe></ion-content></ion-modal-view>", {
                    scope: $scope,
                    animation: "slide-in-left"
                })
                $scope.modal.show();
            }
        }
        $scope.hideModal = function() {
            $scope.modal.hide();
            $scope.modal && $scope.modal.remove();
        }
        angular.element(document).on('click', a_click);
        $scope.$on("$destroy", function() {
            angular.element(document).off('click', a_click);
            $scope.modal && $scope.modal.remove();
        });
    }]);
});