
define(['app', 'js/utils/citySelect'],function (app, CitySelect) {
    app.controller('offaddressCtrl', ['$scope','Storage','$ionicHistory', function($scope, Storage, $ionicHistory) {
        $scope.template = {
            area: '',
            address: '',
        };
        //显示地址选择
        $scope.showCitySelect = function() {
            CitySelect.init({
                element: ".js-citySelestNode",
                value: ["广东省", "广州市", "天河区"],
                callback: function(data) {
                    $scope.$apply(function() {
                        $scope.template.area = data.join('，')
                    })
                },
                initComplete: function(data) {
                    if ($scope.template.area != '') {
                        var data = $scope.template.area.split('，');
                        CitySelect.set(data)
                    } else {
                        $scope.$apply(function() {
                            $scope.template.area = data.join('，')
                        })
                    }
                },
                url: 'data/city.json'
            })
        };

        // 手势处理隐藏
        var htmlEl = angular.element(document.querySelector('html'));
        htmlEl.on("click", function(e) {
            if ($($('.js-citySelestNode')[0]).find(e.target).length == 0 && $(e.target) != $('.item-content')[0]) {
                $('.js-citySelestNode').html("");
            }
        });

        $scope.save = function(){
            Storage.set("DM_Address", $scope.template);
            $ionicHistory.goBack();
        };



    }]);
});
    
