define(['app', 'js/utils/tips'],function (app, Tips) {
    app.controller('registerCtrl', ['$scope','$ionicHistory','httpRequest', '$interval', function($scope,$ionicHistory, httpRequest, $interval) {
        $scope.showPassword = function() {
          $scope.show_psd = !$scope.show_psd
        };

        // regist
        $scope.user = {
            phone:'',
            psw:"",
            invite:"",
            code:""
        };

        // 获取验证码
        $scope.invitationCodeState = '获取验证码';
        var t = 0;
        var invitationCodeBtn = angular.element(document.querySelector('#invitationCode'));
        $scope.getcode = function () {
            if(t > 0) return;
            $scope.$emit('loadding', 'noBackdrop','请求中...');
            httpRequest.get("/doctor/api/GetRegisterCode",{'phone':$scope.user.phone},function(re){
                Tips.showTips(re.data.msg);
                if(re.data.code==0) {
                    t = 59;
                    $scope.invitationCodeState = '（60 s）后重新获取';
                    var stopTime = $interval(function() {
                        if (t < 0) {
                            $interval.cancel(stopTime);
                            $scope.invitationCodeState = '重新获取';
                            return;
                        }
                        $scope.invitationCodeState = '（' + (t--) + ' s）后重新获取';
                    }, 1000);
                }
            }, function(re){
                if(re.status != 200) {
                    Tips.showTips('亲~您好像断网了，请检查您的网络~~~');
                }
            }, function(){
                $scope.$emit('loadding', 'false');
            });
        };

        // 注册
        $scope.regist = function() {
            $scope.$emit('loadding', 'noBackdrop','请求中...');
            var request = {
                'phone':$scope.user.phone,
                'code':$scope.user.code,
                'password':$scope.user.psw,
                'invite_code':$scope.user.invite
            };
            httpRequest.get("/doctor/api/Register", request, function(re){
                Tips.showTips(re.data.msg);
                if (re.data.code == 0) {
                    $ionicHistory.goBack();
                }
            }, function(re){
                if(re.status != 200) {
                    Tips.showTips('亲~您好像断网了，请检查您的网络~~~');
                }
            }, function(){
                $scope.$emit('loadding', 'false');
            });
        }

    }]);
});