define(['app'], function(app) {
    app.controller('regulationCtrl', ['$scope', 'httpRequest', '$sce', '$cordovaInAppBrowser', '$ionicModal', function($scope, httpRequest, $sce, $cordovaInAppBrowser, $ionicModal) {
        httpRequest.post('http://cont.kangbm.com/?type=36', {}, function(re) {
            $scope.contents = $sce.trustAsHtml(re.data);
        });
        //处理a标签外链跳转
        function a_click(e) {
            var target = e.target;
            if (target.tagName == 'A' && target.href.indexOf('http') > -1) {
                e.preventDefault();
                var url = target.href;
                $scope.modal = $ionicModal.fromTemplate("<ion-modal-view><ion-header-bar align-title=\"center\" class=\"bar-balanced\"><h1 class=\"title\">" + target.innerHTML + "</h1>    <a class=\"button\" ng-click=\"hideModal()\">\u5173\u95ED</a></ion-header-bar><ion-content scroll=\"true\" overflow-scroll=\"true\">    <iframe style=\"width:100%;height:100%;overflow:scroll;\" src=\"" + url + "\" frameborder=\"0\"></iframe></ion-content></ion-modal-view>", {
                    scope: $scope,
                    animation: "slide-in-left"
                })
                $scope.modal.show();
            }
        }
        $scope.hideModal = function() {
            $scope.modal.hide();
            $scope.modal && $scope.modal.remove();
        }
        angular.element(document).on('click', a_click);
        $scope.$on("$destroy", function() {
            angular.element(document).off('click', a_click);
            $scope.modal && $scope.modal.remove();
        });
    }]);
});