cordova.define("com.plugin.huanxin.dmhuanxin", function(require, exports, module) {
var exec = require('cordova/exec');

var dmhuanxin = {
	
	// echo接口，msg为传入的参数，success, error为回调函数
　　echo : function(msg, success, error) {
　　　　exec(success, error, "dmhuanxin", "echo", [msg]);
　　},


	// 初始化环信的登陆接口，申请的环信的Key
	// var params = {
	// 	key:"50e6e69c085417b15fc334706a11efd2"
	// }
	init : function(params, success, error) {
　　　　exec(success, error, "dmhuanxin", "init", [params]);
	},

	// 医生端或者进去聊天页面接口
	// var params = {
    // user:auth.easemob_username,
    // psw:auth.easemob_password,
    // uid:auth.uid,
    // token:auth.token,
    // type:"DMKBMIMTypeNormal",   //DMKBMIMTypeVedio DMKBMIMTypeNormal
    // role:"DMKBMRoleDoctor",	   //DMKBMRolePatient DMKBMRoleDoctor
    // avatarURL:auth.avatar_url
	// }
	conversation : function(params, success, error) {
　　　　exec(success, error, "dmhuanxin", "conversation", [params]);
	},

	// 直接进入单聊页面：auth本人信息，target对方信息，客户端
	// var auth = {
	//     user:auth.easemob_username,	
	//     psw:auth.easemob_password,
	//     uid:auth.uid,
	//     token:auth.token,
	// 	avatar_url:auth.avatar_url,
	//     role:"DMKBMRolePatient"
	// };
	// var target = {
	//     avatar_url:$scope.buyServeOrderData.avatar_url,
	//     doctor_id:$scope.buyServeOrderData.doctor_id,
	//     doctor_name:$scope.buyServeOrderData.doctor_name,
	//     easemob_username:$scope.buyServeOrderData.easemob_username,
	//     create_at:"1559938788"
	// };
	chat : function(auth, target, success, error) {
		exec(success, error, "dmhuanxin", "chat", [auth, target]);
	},
	
	logout : function(msg, success, error) {
    　　exec(success, error, "dmhuanxin", "logout", [msg]);
    }
};

window.dmhuanxin = dmhuanxin;
});
